
/****** Object:  UserDefinedFunction [dbo].[AvgLagN]    Script Date: 06/06/2009 23:04:34 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AvgLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[AvgLagN]
GO

CREATE FUNCTION [dbo].[AvgLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[AvgLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'AvgLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[AvgLastMin]    Script Date: 06/06/2009 23:05:11 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AvgLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[AvgLastMin]
GO

CREATE FUNCTION [dbo].[AvgLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[AvgLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'AvgLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[AvgLastN]    Script Date: 06/06/2009 23:05:35 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AvgLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[AvgLastN]
GO

CREATE FUNCTION [dbo].[AvgLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[AvgLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'AvgLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[AvgTimeWindow]    Script Date: 06/06/2009 23:05:54 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AvgTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[AvgTimeWindow]
GO

CREATE FUNCTION [dbo].[AvgTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[AvgTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'AvgTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'AvgTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[CorrLagN]    Script Date: 06/06/2009 23:06:17 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CorrLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CorrLagN]
GO

CREATE FUNCTION [dbo].[CorrLagN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CorrLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CorrLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[CorrLastMin]    Script Date: 06/06/2009 23:07:35 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CorrLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CorrLastMin]
GO

CREATE FUNCTION [dbo].[CorrLastMin](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CorrLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CorrLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[CorrLastN]    Script Date: 06/06/2009 23:07:58 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CorrLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CorrLastN]
GO

CREATE FUNCTION [dbo].[CorrLastN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CorrLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CorrLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[CorrTimeWindow]    Script Date: 06/06/2009 23:09:03 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CorrTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CorrTimeWindow]
GO

CREATE FUNCTION [dbo].[CorrTimeWindow](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CorrTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CorrTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CorrTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[CountLastMin]    Script Date: 06/06/2009 23:09:27 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CountLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CountLastMin]
GO

CREATE FUNCTION [dbo].[CountLastMin](@tableName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [smallint] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CountLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CountLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[CountTimeWindow]    Script Date: 06/06/2009 23:10:02 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CountTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CountTimeWindow]
GO

CREATE FUNCTION [dbo].[CountTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [smallint] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CountTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CountTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CountTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[CovLagN]    Script Date: 06/06/2009 23:10:27 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CovLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CovLagN]
GO

CREATE FUNCTION [dbo].[CovLagN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CovLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CovLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[CovLastMin]    Script Date: 06/06/2009 23:10:54 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CovLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CovLastMin]
GO

/****** Object:  UserDefinedFunction [dbo].[CovLastMin]    Script Date: 06/06/2009 23:10:54 ******/
CREATE FUNCTION [dbo].[CovLastMin](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CovLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CovLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[CovLastN]    Script Date: 06/06/2009 23:11:24 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CovLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CovLastN]
GO

CREATE FUNCTION [dbo].[CovLastN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CovLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CovLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[CovTimeWindow]    Script Date: 06/06/2009 23:11:51 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CovTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CovTimeWindow]
GO

CREATE FUNCTION [dbo].[CovTimeWindow](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[CovTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'CovTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'CovTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[LagVar]    Script Date: 06/06/2009 23:12:31 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LagVar]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[LagVar]
GO

CREATE FUNCTION [dbo].[LagVar](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[LagVar]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LagVar'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'LagVar.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LagVar'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LagVar'
GO


/****** Object:  UserDefinedFunction [dbo].[LinearRegLagN]    Script Date: 06/06/2009 23:12:57 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LinearRegLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[LinearRegLagN]
GO

CREATE FUNCTION [dbo].[LinearRegLagN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float], @xVal [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[LinearRegLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'LinearRegLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[LinearRegLastMin]    Script Date: 06/06/2009 23:13:25 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LinearRegLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[LinearRegLastMin]
GO

CREATE FUNCTION [dbo].[LinearRegLastMin](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime], @xVal [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[LinearRegLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'LinearRegLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[LinearRegLastN]    Script Date: 06/06/2009 23:13:50 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LinearRegLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[LinearRegLastN]
GO

CREATE FUNCTION [dbo].[LinearRegLastN](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float], @xVal [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[LinearRegLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'LinearRegLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[LinearRegTimeWindow]    Script Date: 06/06/2009 23:14:18 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LinearRegTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[LinearRegTimeWindow]
GO

CREATE FUNCTION [dbo].[LinearRegTimeWindow](@tableName [nvarchar](4000), @varNameX [nvarchar](4000), @varNameY [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime], @xVal [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[LinearRegTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'LinearRegTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'LinearRegTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[MaxLagN]    Script Date: 06/06/2009 23:14:52 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MaxLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MaxLagN]
GO

CREATE FUNCTION [dbo].[MaxLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MaxLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MaxLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[MaxLastMin]    Script Date: 06/06/2009 23:15:21 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MaxLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MaxLastMin]
GO

CREATE FUNCTION [dbo].[MaxLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MaxLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MaxLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[MaxLastN]    Script Date: 06/06/2009 23:15:49 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MaxLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MaxLastN]
GO

CREATE FUNCTION [dbo].[MaxLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MaxLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MaxLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[MaxTimeWindow]    Script Date: 06/06/2009 23:16:15 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MaxTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MaxTimeWindow]
GO

CREATE FUNCTION [dbo].[MaxTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MaxTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MaxTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MaxTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[MinLagN]    Script Date: 06/06/2009 23:17:10 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MinLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MinLagN]
GO

CREATE FUNCTION [dbo].[MinLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MinLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MinLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[MinLastMin]    Script Date: 06/06/2009 23:17:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MinLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MinLastMin]
GO

CREATE FUNCTION [dbo].[MinLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MinLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MinLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[MinLastN]    Script Date: 06/06/2009 23:18:02 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MinLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MinLastN]
GO

CREATE FUNCTION [dbo].[MinLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MinLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MinLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[MinTimeWindow]    Script Date: 06/06/2009 23:18:27 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MinTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[MinTimeWindow]
GO

CREATE FUNCTION [dbo].[MinTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[MinTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'MinTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'MinTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[SlopVarLagN]    Script Date: 06/06/2009 23:18:53 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SlopVarLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SlopVarLagN]
GO

CREATE FUNCTION [dbo].[SlopVarLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SlopVarLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SlopVarLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[SlopVarLastMin]    Script Date: 06/06/2009 23:19:17 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SlopVarLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SlopVarLastMin]
GO

CREATE FUNCTION [dbo].[SlopVarLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SlopVarLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SlopVarLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[SlopVarLastN]    Script Date: 06/06/2009 23:19:44 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SlopVarLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SlopVarLastN]
GO

CREATE FUNCTION [dbo].[SlopVarLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SlopVarLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SlopVarLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[SlopVarTimeWindow]    Script Date: 06/06/2009 23:20:15 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SlopVarTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SlopVarTimeWindow]
GO

/****** Object:  UserDefinedFunction [dbo].[SlopVarTimeWindow]    Script Date: 06/06/2009 23:20:15 ******/
CREATE FUNCTION [dbo].[SlopVarTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SlopVarTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SlopVarTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SlopVarTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevLagN]    Script Date: 06/06/2009 23:20:50 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevLagN]
GO

CREATE FUNCTION [dbo].[StdevLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevLastMin]    Script Date: 06/06/2009 23:21:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevLastMin]
GO

CREATE FUNCTION [dbo].[StdevLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevLastN]    Script Date: 06/06/2009 23:21:41 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevLastN]
GO

CREATE FUNCTION [dbo].[StdevLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevPLagN]    Script Date: 06/06/2009 23:22:11 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevPLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevPLagN]
GO

CREATE FUNCTION [dbo].[StdevPLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevPLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevPLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevPLastMin]    Script Date: 06/06/2009 23:22:48 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevPLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevPLastMin]
GO

CREATE FUNCTION [dbo].[StdevPLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevPLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevPLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevPLastN]    Script Date: 06/06/2009 23:23:25 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevPLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevPLastN]
GO

CREATE FUNCTION [dbo].[StdevPLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevPLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevPLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPLastN'
GO



/****** Object:  UserDefinedFunction [dbo].[StdevPTimeWindow]    Script Date: 06/06/2009 23:23:49 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevPTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevPTimeWindow]
GO

CREATE FUNCTION [dbo].[StdevPTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevPTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevPTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevPTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[StdevTimeWindow]    Script Date: 06/06/2009 23:24:24 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StdevTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[StdevTimeWindow]
GO

CREATE FUNCTION [dbo].[StdevTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[StdevTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'StdevTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'StdevTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[SumLagN]    Script Date: 06/06/2009 23:24:43 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SumLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SumLagN]
GO

CREATE FUNCTION [dbo].[SumLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SumLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SumLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[SumLastMin]    Script Date: 06/06/2009 23:25:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SumLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SumLastMin]
GO

CREATE FUNCTION [dbo].[SumLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SumLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SumLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=15 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[SumLastN]    Script Date: 06/06/2009 23:25:44 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SumLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SumLastN]
GO

CREATE FUNCTION [dbo].[SumLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SumLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SumLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=16 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[SumTimeWindow]    Script Date: 06/06/2009 23:26:09 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SumTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[SumTimeWindow]
GO

CREATE FUNCTION [dbo].[SumTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[SumTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'SumTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=15 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'SumTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[VarLagN]    Script Date: 06/06/2009 23:26:35 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarLagN]
GO

CREATE FUNCTION [dbo].[VarLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[VarLastMin]    Script Date: 06/06/2009 23:27:04 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarLastMin]
GO

CREATE FUNCTION [dbo].[VarLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[VarLastN]    Script Date: 06/06/2009 23:27:28 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarLastN]
GO

CREATE FUNCTION [dbo].[VarLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[VarPLagN]    Script Date: 06/06/2009 23:27:55 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarPLagN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarPLagN]
GO

CREATE FUNCTION [dbo].[VarPLagN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @fromN [int], @toN [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarPLagN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarPLagN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLagN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLagN'
GO


/****** Object:  UserDefinedFunction [dbo].[VarPLastMin]    Script Date: 06/06/2009 23:28:36 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarPLastMin]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarPLastMin]
GO

CREATE FUNCTION [dbo].[VarPLastMin](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarPLastMin]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarPLastMin.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastMin'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastMin'
GO


/****** Object:  UserDefinedFunction [dbo].[VarPLastN]    Script Date: 06/06/2009 23:29:24 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarPLastN]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarPLastN]
GO

CREATE FUNCTION [dbo].[VarPLastN](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [int], @IdFieldName [nvarchar](4000), @Id [float])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarPLastN]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarPLastN.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastN'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPLastN'
GO


/****** Object:  UserDefinedFunction [dbo].[VarPTimeWindow]    Script Date: 06/06/2009 23:29:58 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarPTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarPTimeWindow]
GO

CREATE FUNCTION [dbo].[VarPTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarPTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarPTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarPTimeWindow'
GO


/****** Object:  UserDefinedFunction [dbo].[VarTimeWindow]    Script Date: 06/06/2009 23:30:22 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VarTimeWindow]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[VarTimeWindow]
GO

CREATE FUNCTION [dbo].[VarTimeWindow](@tableName [nvarchar](4000), @varName [nvarchar](4000), @N [bigint], @M [bigint], @TimeFieldName [nvarchar](4000), @theTime [datetime])
RETURNS [float] WITH EXECUTE AS CALLER
AS 
EXTERNAL NAME [SmartUserFunctions].[UserDefinedFunctions].[VarTimeWindow]
GO

EXEC sys.sp_addextendedproperty @name=N'AutoDeployed', @value=N'yes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFile', @value=N'VarTimeWindow.cs' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarTimeWindow'
GO

EXEC sys.sp_addextendedproperty @name=N'SqlAssemblyFileLine', @value=9 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'FUNCTION',@level1name=N'VarTimeWindow'
GO

